# Set-RASAutoUpgrade.md

## NAME

Set-RASAutoUpgrade

## SYNOPSIS

Modifies the Auto-upgrade settings.

## SYNTAX

**Set-RASAutoUpgrade** -[DefObjType](#defobjtype) {RDSDef | VDIDef | AVDSingleSessionDefaultSettings | AVDMultiSessionDefaultSettings | VDIGuestDef} \[[DrainModeDurationInSecs](#drainmodedurationinsecs-string) *(double)*] \[[Enabled](#enabled-string) *(bool)*] \[[ForceLogoffSessions](#forcelogoffsessions-string) *(bool)*] \[-[Repeat](#Repeat) {Never | EveryDay | EveryWeek | Every2Weeks | EveryMonth | EveryYear | SpecificDays}] \[[SiteId](#siteid-string) *(uint)*] \[-[SpecificDays](#SpecificDays) {Never | Sunday | Monday | Tuesday | Wednesday | Thursday | Friday | Saturday}] \[[StartDateTime](#startdatetime-string) *(DateTime)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASAutoUpgrade** \[[Id](#id-string)] *(uint)* -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[[DrainModeDurationInSecs](#drainmodedurationinsecs-string) *(double)*] \[[Enabled](#enabled-string) *(bool)*] \[[ForceLogoffSessions](#forcelogoffsessions-string) *(bool)*] \[-[Repeat](#Repeat) {Never | EveryDay | EveryWeek | Every2Weeks | EveryMonth | EveryYear | SpecificDays}] \[-[SpecificDays](#SpecificDays) {Never | Sunday | Monday | Tuesday | Wednesday | Thursday | Friday | Saturday}] \[[StartDateTime](#startdatetime-string) *(DateTime)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

\*\*Set-RASAutoUpgrade \[-[InputObject](#inputobject)] *(*[*RASSerilazableObj*](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)*)* \[[DrainModeDurationInSecs](#drainmodedurationinsecs-string) *(double)*] \[[Enabled](#enabled-string) *(bool)*] \[[ForceLogoffSessions](#forcelogoffsessions-string) *(bool)*] \[-[Repeat](#Repeat) {Never | EveryDay | EveryWeek | Every2Weeks | EveryMonth | EveryYear | SpecificDays}] \[-[SpecificDays](#SpecificDays) {Never | Sunday | Monday | Tuesday | Wednesday | Thursday | Friday | Saturday}] \[[StartDateTime](#startdatetime-string) *(DateTime)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

**Set-RASAutoUpgrade** \[[Name](#name-string)] *(string)* \[\[-[SiteId](#siteid-string)] *(uint)*] -[ObjType](#objtype) {RDSHostPool | VDIHostPool | AVDHostPool} \[[DrainModeDurationInSecs](#drainmodedurationinsecs-string) *(double)*] \[[Enabled](#enabled-string) *(bool)*] \[[ForceLogoffSessions](#forcelogoffsessions-string) *(bool)*] \[-[Repeat](#Repeat) {Never | EveryDay | EveryWeek | Every2Weeks | EveryMonth | EveryYear | SpecificDays}] \[-[SpecificDays](#SpecificDays) {Never | Sunday | Monday | Tuesday | Wednesday | Thursday | Friday | Saturday}] \[[StartDateTime](#startdatetime-string) *(DateTime)*] \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

Modifies the Auto-upgrade settings of RDSHostPool, RDSDefaults, VDIHostPool, VDIDefaults, AVDHostPool or AVDDefaults (Single-Session/Multi-Session).

## PARAMETERS

## Enabled (bool)

Enable auto-upgrade maintenance window

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## StartDateTime (DateTime)

Start Date

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DrainModeDurationInSecs (double)

Drain mode duration

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ForceLogoffSessions (bool)

Force logoff sessions at the end of the drain mode period

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Repeat ([RepeatType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/repeattype.md))

Recur

Possible values: Never, EveryDay, EveryWeek, Every2Weeks, EveryMonth, EveryYear, SpecificDays

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SpecificDays

([RepeatSpecificDays](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/repeatspecificdays.md)) Specific Days

Possible values: Never, Sunday, Monday, Tuesday, Wednesday, Thursday, Friday, Saturday

```
        Required?                    false

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Name (string)

The name or server for which to modify the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to modify the Auto-upgrade settings.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## Id (uint)

The ID of a server for which to modify the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## InputObject

([RASSerilazableObj](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/rasserilazableobj.md)) An object of type RDS, RDSHostPool, VDITemplate or VDIDesktop for which to modify the Auto-upgrade settings.

```
        Required?                    true

        Position?                    0

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## ObjType ([HostPoolObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/hostpoolobjtype.md))

The Object Type for which to modify the Auto-upgrade settings.

Possible values: RDSHostPool, VDIHostPool, AVDHostPool

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## DefObjType ([ServerDefObjType](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/types/serverdefobjtype.md))

The Default Object Type for which to modify the Auto-upgrade settings.

Possible values: RDSDef, VDIDef, AVDSingleSessionDefaultSettings, AVDMultiSessionDefaultSettings, VDIGuestDef

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

Set-RASAutoUpgrade -DefObjType RDSDef -Enabled $true

Enables the Auto-upgrade settings of the RDS Default Settings.\
\*\*---------- EXAMPLE 2 ----------

Set-RASAutoUpgrade -Name "VDIHostPool1" -ObjType VDIHostPool -Enabled $false

Disables the Auto-upgrade settings of the specified VDIHostPool by Name.\
\*\*---------- EXAMPLE 3 ----------

Set-RASAutoUpgrade -Id 1 -ObjType AVDHostPool -Enabled $true

Enables the Auto-upgrade settings of the specified AVDHostPool by Id.

## RELATED LINKS

* [Get-RASAutoUpgrade](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrade.md)
* [Add-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/add-rasautoupgrademessage.md)
* [Get-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasautoupgrademessage.md)
* [Set-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasautoupgrademessage.md)
* [Remove-RASAutoUpgradeMessage](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasautoupgrademessage.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/set-rasautoupgrade.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
